/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

#define RSDVSG_NAN                 9.91e+37
#define RSDVSG_NAN_VI_INT32        0x80000000

ViStatus rsdvsg_InitAttributes (ViSession vi);
ViStatus rsdvsg_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsdvsg_CheckStatus (ViSession vi);
ViStatus rsdvsg_WaitForOPC (ViSession vi, ViUInt32 maxTime);
ViInt32 rsdvsg_StringIndex(ViString array[], ViChar buff[]); 
ViBoolean rsdvsg_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViBoolean rsdvsg_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViBoolean rsdvsg_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViBoolean rsdvsg_invalidViBooleanRange (ViBoolean val);
//ViStatus rsdvsg_SetOPCTimeout(ViSession   instrSession, ViInt32 timeout);
//ViStatus rsdvsg_GetOPCTimeout(ViSession   instrSession, ViInt32 *timeout);
ViStatus rsdvsg_CheckBeforeRead (ViSession instrSession, ViUInt32 maxTime);
ViStatus _VI_FUNC rsdvsg_GetCatalog(
    ViSession   instrSession,
    ViString    command,
    ViInt32     timeout,
    ViInt32     arraySize,
    ViChar		catalog[]
    );
void rsdvsg_SWAP_32(unsigned char *data, long points);
ViReal64 rsdvsg_atof (ViChar *p2buf);
ViStatus rsdvsg_dashString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rsdvsg_ReadDataUnknownLength(ViSession instrSession, ViChar **outBuffer, ViUInt32 *count);
